Web lists-archives.com

[PATCH v4 0/4] http: add support selecting http version




Normally, git doesn't need to set curl to select the HTTP version, it works
fine without HTTP/2. Adding HTTP/2 support is a icing on the cake.

This patch support force enable HTTP/2 or HTTP/1.1. 

example: 

GIT_CURL_VERBOSE=1 git2 -c http.version=HTTP/2 ls-remote https://bitbucket.org/aquariusjay/deeplab-public-ver2.git

Force Charlie (4):
  http: add support selecting http version
  support force use http 1.1
  fix curl version to support CURL_HTTP_VERSION_2TLS
  http: change http.version value type

 http.c | 38 ++++++++++++++++++++++++++++++++++++++
 1 file changed, 38 insertions(+)


base-commit: 8858448bb49332d353febc078ce4a3abcc962efe
Published-As: https://github.com/gitgitgadget/git/releases/tags/pr-69%2Ffcharlie%2Fmaster-v4
Fetch-It-Via: git fetch https://github.com/gitgitgadget/git pr-69/fcharlie/master-v4
Pull-Request: https://github.com/gitgitgadget/git/pull/69

Range-diff vs v3:

 1:  4f5a935c43 = 1:  4f5a935c43 http: add support selecting http version
 2:  06e9685d2b = 2:  06e9685d2b support force use http 1.1
 3:  eee67d8356 = 3:  eee67d8356 fix curl version to support CURL_HTTP_VERSION_2TLS
 4:  ef975b6093 ! 4:  0a7794722b http: change http.version value type
     @@ -67,10 +67,12 @@
      -		curl_easy_setopt(result, CURLOPT_HTTP_VERSION,CURL_HTTP_VERSION_2TLS);
      -    } else if (curl_http_version == 11) {
      -		curl_easy_setopt(result, CURLOPT_HTTP_VERSION,CURL_HTTP_VERSION_1_1);
     -+    long opt=-1;
     -+    if (curl_http_version &&!get_curl_http_version_opt(curl_http_version, &opt)) {
     -+		/* Set request use http version */
     -+		curl_easy_setopt(result, CURLOPT_HTTP_VERSION,opt);
     ++    if (curl_http_version) {
     ++		long opt;
     ++		if (!get_curl_http_version_opt(curl_http_version, &opt)) {
     ++			/* Set request use http version */
     ++			curl_easy_setopt(result, CURLOPT_HTTP_VERSION,opt);
     ++		}
           }
       #endif
       

-- 
gitgitgadget